curl -X GET https://api.vibetool.ai/v1/images/status/img_202512301122_ff60b37b \
-H "Authorization: Bearer YOUR_API_KEY"
import requests
url = "https://api.vibetool.ai/v1/images/status/img_202512301122_ff60b37b"
headers = {"Authorization": "Bearer YOUR_API_KEY"}
r = requests.get(url, headers=headers, timeout=30)
print(r.status_code, r.json())
{
"task_id": "img_202512301122_ff60b37b",
"status": "completed",
"progress": 100,
"images": [
{ "url": "https://example.com/image.jpg", "revised_prompt": null }
],
"error": null,
"created_at": 1767072426,
"updated_at": 1767072433,
"completed_at": 1767072433
}
{
"error": {
"message": "Invalid API Key provided",
"type": "authentication_error",
"param": null,
"code": 401
}
}
Image Generation
Get Image Result
Query the status, progress, and results of an asynchronous image generation task by task ID.
GET
/
v1
/
images
/
status
/
{task_id}
curl -X GET https://api.vibetool.ai/v1/images/status/img_202512301122_ff60b37b \
-H "Authorization: Bearer YOUR_API_KEY"
import requests
url = "https://api.vibetool.ai/v1/images/status/img_202512301122_ff60b37b"
headers = {"Authorization": "Bearer YOUR_API_KEY"}
r = requests.get(url, headers=headers, timeout=30)
print(r.status_code, r.json())
{
"task_id": "img_202512301122_ff60b37b",
"status": "completed",
"progress": 100,
"images": [
{ "url": "https://example.com/image.jpg", "revised_prompt": null }
],
"error": null,
"created_at": 1767072426,
"updated_at": 1767072433,
"completed_at": 1767072433
}
{
"error": {
"message": "Invalid API Key provided",
"type": "authentication_error",
"param": null,
"code": 401
}
}
curl -X GET https://api.vibetool.ai/v1/images/status/img_202512301122_ff60b37b \
-H "Authorization: Bearer YOUR_API_KEY"
import requests
url = "https://api.vibetool.ai/v1/images/status/img_202512301122_ff60b37b"
headers = {"Authorization": "Bearer YOUR_API_KEY"}
r = requests.get(url, headers=headers, timeout=30)
print(r.status_code, r.json())
{
"task_id": "img_202512301122_ff60b37b",
"status": "completed",
"progress": 100,
"images": [
{ "url": "https://example.com/image.jpg", "revised_prompt": null }
],
"error": null,
"created_at": 1767072426,
"updated_at": 1767072433,
"completed_at": 1767072433
}
{
"error": {
"message": "Invalid API Key provided",
"type": "authentication_error",
"param": null,
"code": 401
}
}
Authorizations
All APIs require Bearer Token authentication. Get your API Key from the dashboard and add to request header: Authorization: Bearer YOUR_API_KEY
Path Parameters
Task ID returned from the image generation request. Example: img_202512301122_ff60b37b
Example:
"img_202512301122_ff60b37b"
Response
Task status retrieved successfully
Task ID
Example:
"img_202512301122_ff60b37b"
Task status
Available options:
pending, processing, completed, failed Example:
"completed"
Task progress percentage (0-100)
Required range:
0 <= x <= 100Example:
100
Generated images (present when status is completed)
Show child attributes
Show child attributes
Error information (present when status is failed)
Created timestamp
Example:
1767072426
Updated timestamp
Example:
1767072433
Completed timestamp
Example:
1767072433
Was this page helpful?